import 'package:flutter/material.dart';

class ResponsiveGridItem {
  final int xs;
  final int sm;
  final int md;
  final int lg;
  final int xl;
  final Widget child;

  ResponsiveGridItem({
    this.xs,
    this.xl,
    this.sm,
    this.md,
    this.lg,
    this.child,
  });

  int cols(double screenWidth, {int colCount = 12}) {
    //XS
    if (screenWidth < 576) {
      return xs ?? colCount;
    }

    //SM
    if (screenWidth < 768) {
      return sm ?? xs ?? colCount;
    }

    //MD
    if (screenWidth < 992) {
      return md ?? sm ?? xs ?? colCount;
    }

    //LG
    if (screenWidth < 1200) {
      return lg ?? md ?? sm ?? xs ?? colCount;
    }

    return xl ?? lg ?? md ?? sm ?? xs ?? colCount;
  }
}
